import { ConfigOptions } from '../types';
export declare const Action: {
    SET_CONFIG: string;
    SET_CURRENT_SUITE: string;
    CLEAR_CURRENT_SUITE: string;
    SET_CURRENT_ENVIRONMENT: string;
};
export declare const setConfig: (options: ConfigOptions) => {
    type: string;
    payload: import("../types").Config;
};
export declare const setCurrentSuite: ({ suite }: {
    suite: string;
}) => {
    type: string;
    payload: {
        currentSuite: string;
    };
};
export declare const clearCurrentSuite: () => {
    type: string;
};
export declare const setCurrentEnvironment: ({ environment }: {
    environment: string;
}) => {
    type: string;
    payload: {
        currentEnvironment: string;
    };
};
