import { Suites, TestFailuresBySuite } from '../types';
export declare const ActionType: {
    ADD_TEST_FAILURES: string;
    CLEAR_TEST_FAILURES: string;
    REMOVE_TEST_FAILURE: string;
    CLEAR_TEST_FAILURES_FOR_SUITE: string;
};
export declare const addTestFailures: ({ testFailures }: {
    testFailures: TestFailuresBySuite;
}) => {
    type: string;
    payload: {
        testFailures: TestFailuresBySuite;
    };
};
export declare const addTestFailuresFromNightwatchOutput: ({ suites, stdout }: {
    suites: Suites;
    stdout: string;
}) => {
    type: string;
    payload: {
        testFailures: TestFailuresBySuite;
    };
};
export declare const clearTestFailures: () => {
    type: string;
};
export declare const removeTestFailure: ({ suiteName, testName }: {
    suiteName: string;
    testName: string;
}) => {
    type: string;
    payload: {
        suiteName: string;
        testName: string;
    };
};
export declare const clearTestFailuresForSuite: ({ suiteName }: {
    suiteName: string;
}) => {
    type: string;
    payload: {
        suiteName: string;
    };
};
