"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.clearTestFailuresForSuite = exports.removeTestFailure = exports.clearTestFailures = exports.addTestFailuresFromNightwatchOutput = exports.addTestFailures = exports.ActionType = void 0;
const failureParser = __importStar(require("../parsers/failureParser"));
exports.ActionType = {
    ADD_TEST_FAILURES: '@@night-patrol/testFailures/ADD_TEST_FAILURES',
    CLEAR_TEST_FAILURES: '@@night-patrol/testFailures/CLEAR_TEST_FAILURES',
    REMOVE_TEST_FAILURE: '@@night-patrol/testFailures/REMOVE_TEST_FAILURE',
    CLEAR_TEST_FAILURES_FOR_SUITE: '@@night-patrol/testFailures/CLEAR_TEST_FAILURES_FOR_SUITE'
};
exports.addTestFailures = ({ testFailures }) => ({
    type: exports.ActionType.ADD_TEST_FAILURES,
    payload: {
        testFailures
    }
});
exports.addTestFailuresFromNightwatchOutput = ({ suites, stdout }) => (exports.addTestFailures({
    testFailures: failureParser.parse({ suites, stdout })
}));
exports.clearTestFailures = () => ({
    type: exports.ActionType.CLEAR_TEST_FAILURES
});
exports.removeTestFailure = ({ suiteName, testName }) => ({
    type: exports.ActionType.REMOVE_TEST_FAILURE,
    payload: {
        suiteName,
        testName
    }
});
exports.clearTestFailuresForSuite = ({ suiteName }) => ({
    type: exports.ActionType.CLEAR_TEST_FAILURES_FOR_SUITE,
    payload: {
        suiteName
    }
});
//# sourceMappingURL=testFailures.js.map