"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.setCurrentEnvironment = exports.clearCurrentSuite = exports.setCurrentSuite = exports.setConfig = exports.Action = void 0;
const createConfig_1 = require("../config/createConfig");
exports.Action = {
    SET_CONFIG: '@@night-patrol/config/SET_CONFIG',
    SET_CURRENT_SUITE: '@@night-patrol/config/SET_CURRENT_SUITE',
    CLEAR_CURRENT_SUITE: '@@night-patrol/config/CLEAR_CURRENT_SUITE',
    SET_CURRENT_ENVIRONMENT: '@@night-patrol/config/SET_CURRENT_ENVIRONMENT'
};
exports.setConfig = (options) => ({
    type: exports.Action.SET_CONFIG,
    payload: createConfig_1.createConfig(options)
});
exports.setCurrentSuite = ({ suite }) => ({
    type: exports.Action.SET_CURRENT_SUITE,
    payload: {
        currentSuite: suite
    }
});
exports.clearCurrentSuite = () => ({
    type: exports.Action.CLEAR_CURRENT_SUITE
});
exports.setCurrentEnvironment = ({ environment }) => ({
    type: exports.Action.SET_CURRENT_ENVIRONMENT,
    payload: {
        currentEnvironment: environment
    }
});
//# sourceMappingURL=config.js.map