"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.clearCommands = void 0;
const GLOBAL_COMMANDS = {
    help: true,
    exit: true
};
const clearCommands = (vorpal) => {
    vorpal.commands
        .filter(command => !(command._name in GLOBAL_COMMANDS))
        .forEach(command => command.remove());
};
exports.clearCommands = clearCommands;
//# sourceMappingURL=clearCommands.js.map